%global packname glue
%global packver  1.4.2
%global rlibdir  %{_libdir}/R/library

# Bootstrap
%bcond_without bootstrap

Name:             R-%{packname}
Version:          1.4.2
Release:          1
Summary:          Interpreted String Literals

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-methods
%if %{without bootstrap}
BuildRequires:    R-testthat
BuildRequires:    R-magrittr
BuildRequires:    R-crayon
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-DBI
BuildRequires:    R-RSQLite
BuildRequires:    R-R.utils
BuildRequires:    R-forcats
BuildRequires:    R-microbenchmark
BuildRequires:    R-rprintf
BuildRequires:    R-stringr
BuildRequires:    R-ggplot2
BuildRequires:    R-dplyr
BuildRequires:    R-withr
BuildRequires:    R-vctrs >= 0.3.0
%endif

%description
An implementation of interpreted string literals, inspired by Python's
Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/>
and Docstrings <https://www.python.org/dev/peps/pep-0257/> and Julia's
Triple-Quoted String Literals
<https://docs.julialang.org/en/v1.3/manual/strings/#Triple-Quoted-String-Literals-1>.


%prep
%setup -q -c -n %{packname}
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{without bootstrap}
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 1.4.2-1
- Init package (Thanks to fedora team)
